{{ if .Values.image }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: workshop-site
  labels:
    app.kubernetes.io/name: workshop-site
spec:
  replicas: {{ .Values.replicas }}
  selector:
    matchLabels:
      app.kubernetes.io/name: workshop-site
  template:
    metadata:
      labels:
        app.kubernetes.io/name: workshop-site
      annotations:
        linkerd.io/inject: enabled
    spec:
      containers:
        - image: {{ .Values.image }}
          name: workshop-site
          ports:
            - containerPort: 8080
              name: web
          livenessProbe:
            httpGet:
              path: /live
              port: 8080
          readynessProbe:
            httpGet:
              path: /ready
              port: 8080
{{ end }}
